All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.dataselectors.export
Interface HTMLExportSelectorInterface

All Known Implementing Classes:
  BaseExportSelectorAdapter, OLAPExportSelectorAdapter, RelationalExportSelectorAdapter

    public interface HTMLExportSelectorInterface

Methods implemented by the Export Selector adapters to deal with HTML exporting format.

Since:
  3.1

Method Summary
`HTMLExportCSSInfoInterface[]` | `getCSSInfo()` Given the URLS, the MIME types, the media lists and the titles of the CSS style sheets, stores them into an array of `HTMLExportCSSInfoInterface` objects and returns the array.
`java.lang.String[]` | `getCssMediaList()` returns the media lists of the CSS style sheets.
`java.lang.String[]` | `getCssMIMEType()` returns the MIME types of the CSS style sheets.
`java.lang.String[]` | `getCssTitle()` returns the titles of the CSS style sheets.
`java.lang.String[]` | `getCssURL()` Returns the URLs of the CSS style sheets.
`void` | `setCssMediaList(java.lang.String[] value)` Sets the media lists of the CSS style sheets.
`void` | `setCssMIMEType(java.lang.String[] value)` Sets the MIME types of the CSS style sheets.
`void` | `setCssTitle(java.lang.String[] value)` Sets the titles of the CSS style sheets.
`void` | `setCssURL(java.lang.String[] value)` Sets the URLs of the CSS style sheets.

Method Detail

### getCssURL

    java.lang.String[] getCssURL()

  Returns the URLs of the CSS style sheets.

  Returns:
    String[] the URLs of the CSS style sheets.

### setCssURL

    void setCssURL(java.lang.String[] value)

  Sets the URLs of the CSS style sheets.

  Parameters:
    `value` - The URLs of the CSS style sheets.

### getCssMIMEType

    java.lang.String[] getCssMIMEType()

  returns the MIME types of the CSS style sheets.

  Returns:
    String[] The MIME types of the CSS style sheets.

### setCssMIMEType

    void setCssMIMEType(java.lang.String[] value)

  Sets the MIME types of the CSS style sheets.

  Parameters:
    `value` - The MIME types of the CSS style sheets.

### getCssMediaList

    java.lang.String[] getCssMediaList()

  returns the media lists of the CSS style sheets.

  Returns:
    String[] The media lists of the CSS style sheets.

### setCssMediaList

    void setCssMediaList(java.lang.String[] value)

  Sets the media lists of the CSS style sheets.

  Parameters:
    `value` - The media lists of the CSS style sheets.

### getCssTitle

    java.lang.String[] getCssTitle()

  returns the titles of the CSS style sheets.

  Returns:
    String[] The titles of the CSS style sheets.

### setCssTitle

    void setCssTitle(java.lang.String[] value)

  Sets the titles of the CSS style sheets.

  Parameters:
    `value` - The titles of the CSS style sheets.

### getCSSInfo

    HTMLExportCSSInfoInterface[] getCSSInfo()

  Given the URLS, the MIME types, the media lists and the titles of the CSS style sheets, stores them into an array of `HTMLExportCSSInfoInterface` objects and returns the array.

  Into the returned array there's one `HTMLExportCSSInfoInterface` object for each CSS style sheet.

  Returns:
    com.sas.dataselectors.export.HTMLExportCSSInfoInterface[] The `HTMLExportCSSInfoInterface` objects containing the info about the CSS style sheets.

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.